Package com.documentum.fc.client.content

# Interface IDfStore

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

All Known Subinterfaces:
  `IDfAtmosStore`, `IDfBlobStore`, `IDfCAStore`, `IDfExternalFileStore`, `IDfExternalStore`, `IDfFileStore`

All Known Implementing Classes:
  `AtmosStore`, `com.documentum.fc.client.content.impl.Store`

public interface IDfStore extends IDfPersistentObject
A content storage area.

The attributes in store objects are accessible only to users with Sysadmin or Superuser user privileges.

Since:
  5.4

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUrl()`
  `int`
  `getCapacity()`
  `String`
  `getComponent(int index)`
  `int`
  `getComponentCount()`
  `IDfId`
  `getComponentId(int index)`
  `int`
  `getComponentIdCount()`
  `int`
  `getCompressionMode()`
  `int`
  `getContentDuplPref()`
  `int`
  `getContentHashMode()`
  `String`
  `getCredentialId()`
  `String`
  `getCredentialKey()`
  `String`
  `getCryptoKey()`
  `int`
  `getCryptoMode()`
  `int`
  `getCurrentUse()`
  `boolean`
  `getDigitalShredding()`
  `String`
  `getGetMethod()`
  `String`
  `getJavaAccess()`
  `int`
  `getMediaType()`
  `String`
  `getName()`
  `String`
  `getNativeAccess()`
  `boolean`
  `getOfflineGetMethod()`
  `boolean`
  `getRequireTicket()`
  `int`
  `getStatus()`
  `int`
  `getStoreType()`
  `int`
  `getUseMaskAfter()`
  `void`
  `setBaseUrl(String value)`
  `void`
  `setCapacity(int value)`
  `void`
  `setComponent(int index, String value)`
  `void`
  `setCompressionMode(int value)`
  `void`
  `setContentDuplPref(int value)`
  `void`
  `setContentHashMode(int value)`
  `void`
  `setCredentialId(String userId)`
  `void`
  `setCredentialKey(String cred)`
  `void`
  `setCryptoKey(String value)`
  `void`
  `setCryptoMode(int value)`
  `void`
  `setCurrentUse(int value)`
  `void`
  `setDigitalShredding(boolean value)`
  `void`
  `setGetMethod(String value)`
  `void`
  `setJavaAccess(String javaAccess)`
  `void`
  `setMediaType(int value)`
  `void`
  `setName(String value)`
  `void`
  `setNativeAccess(String nativeAccess)`
  `void`
  `setOfflineGetMethod(boolean value)`
  `void`
  `setRequireTicket(boolean value)`
  `void`
  `setStatus(int status)`
  Sets the status of this storage.
  `void`
  `setStoreType(int value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getName

    String getName() throws DfException
    Throws:
      `DfException`

  - ### setName

    void setName(String value) throws DfException
    Throws:
      `DfException`

  - ### getStoreType

    int getStoreType() throws DfException
    Throws:
      `DfException`

  - ### setStoreType

    void setStoreType(int value) throws DfException
    Throws:
      `DfException`

  - ### getCapacity

    int getCapacity() throws DfException
    Throws:
      `DfException`

  - ### setCapacity

    void setCapacity(int value) throws DfException
    Throws:
      `DfException`

  - ### getCurrentUse

    int getCurrentUse() throws DfException
    Throws:
      `DfException`

  - ### setCurrentUse

    void setCurrentUse(int value) throws DfException
    Throws:
      `DfException`

  - ### getComponentCount

    int getComponentCount() throws DfException
    Throws:
      `DfException`

  - ### getComponent

    String getComponent(int index) throws DfException
    Throws:
      `DfException`

  - ### setComponent

    void setComponent(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getComponentIdCount

    int getComponentIdCount() throws DfException
    Throws:
      `DfException`

  - ### getComponentId

    IDfId getComponentId(int index) throws DfException
    Throws:
      `DfException`

  - ### getStatus

    int getStatus() throws DfException
    Throws:
      `DfException`

  - ### getGetMethod

    String getGetMethod() throws DfException
    Throws:
      `DfException`

  - ### setGetMethod

    void setGetMethod(String value) throws DfException
    Throws:
      `DfException`

  - ### getOfflineGetMethod

    boolean getOfflineGetMethod() throws DfException
    Throws:
      `DfException`

  - ### setOfflineGetMethod

    void setOfflineGetMethod(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getUseMaskAfter

    int getUseMaskAfter() throws DfException
    Throws:
      `DfException`

  - ### getRequireTicket

    boolean getRequireTicket() throws DfException
    Throws:
      `DfException`

  - ### setRequireTicket

    void setRequireTicket(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getMediaType

    int getMediaType() throws DfException
    Throws:
      `DfException`

  - ### setMediaType

    void setMediaType(int value) throws DfException
    Throws:
      `DfException`

  - ### getBaseUrl

    String getBaseUrl() throws DfException
    Throws:
      `DfException`

  - ### setBaseUrl

    void setBaseUrl(String value) throws DfException
    Throws:
      `DfException`

  - ### getCryptoMode

    int getCryptoMode() throws DfException
    Throws:
      `DfException`

  - ### setCryptoMode

    void setCryptoMode(int value) throws DfException
    Throws:
      `DfException`

  - ### getCryptoKey

    String getCryptoKey() throws DfException
    Throws:
      `DfException`

  - ### setCryptoKey

    void setCryptoKey(String value) throws DfException
    Throws:
      `DfException`

  - ### getDigitalShredding

    boolean getDigitalShredding() throws DfException
    Throws:
      `DfException`

  - ### setDigitalShredding

    void setDigitalShredding(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getCompressionMode

    int getCompressionMode() throws DfException
    Throws:
      `DfException`

  - ### setCompressionMode

    void setCompressionMode(int value) throws DfException
    Throws:
      `DfException`

  - ### getContentDuplPref

    int getContentDuplPref() throws DfException
    Throws:
      `DfException`

  - ### setContentDuplPref

    void setContentDuplPref(int value) throws DfException
    Throws:
      `DfException`

  - ### getContentHashMode

    int getContentHashMode() throws DfException
    Throws:
      `DfException`

  - ### setContentHashMode

    void setContentHashMode(int value) throws DfException
    Throws:
      `DfException`

  - ### setCredentialId

    void setCredentialId(String userId) throws DfException
    Throws:
      `DfException`

  - ### getCredentialId

    String getCredentialId() throws DfException
    Throws:
      `DfException`

  - ### setCredentialKey

    void setCredentialKey(String cred) throws DfException
    Throws:
      `DfException`

  - ### getCredentialKey

    String getCredentialKey() throws DfException
    Throws:
      `DfException`

  - ### setJavaAccess

    void setJavaAccess(String javaAccess) throws DfException
    Throws:
      `DfException`

  - ### getJavaAccess

    String getJavaAccess() throws DfException
    Throws:
      `DfException`

  - ### setNativeAccess

    void setNativeAccess(String nativeAccess) throws DfException
    Throws:
      `DfException`

  - ### getNativeAccess

    String getNativeAccess() throws DfException
    Throws:
      `DfException`

  - ### setStatus

    void setStatus(int status) throws DfException
    Sets the status of this storage. It is either online, offline or read-only. The constants are defined in Store.
    Throws:
      `DfException`